/*!\file: Vertices.h
 * \brief prototypes for Vertices.h
 */ 

#ifndef _CONTAINER_VERTICES_H_
#define  _CONTAINER_VERTICES_H_

/*forward declarations */
class Materials;
class Elements;
class Vertices;
class Loads;
class Nodes;
class DataSet;
class Inputs;

class Vertices: public DataSet{

	public:

		/*constructors, destructors:*/ 
		Vertices();
		~Vertices();

		/*numerics:*/
		void  DistributePids(int numberofnodes);
		void  FlagClones(int numberofnodes);
		int   NumberOfVertices(void);
		void  Ranks(int* ranks);
};

#endif //ifndef _VERTICES_H_
